Get Plaid items
curl --request GET \
--url https://sandbox.hurdlr.com/rest/v5/banks/plaidItems \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.hurdlr.com/rest/v5/banks/plaidItems"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.hurdlr.com/rest/v5/banks/plaidItems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"status": "ACTIVE",
"createdDate": "2023-11-07T05:31:56Z",
"apiItemId": "3E51DvPAgMigGmybkpv9tzNjbjboEotqykvEo",
"apiInstitutionId": "ins_4",
"apiInstitutionName": "Citi",
"apiAccessToken": "access-sandbox-da40d92a-dbc7-4399-be1c-fdb63338a147",
"id": 123,
"isInitialReady": true,
"isHistoricalReady": true,
"apiErrorType": "ITEM_ERROR,API_ERROR",
"apiErrorCode": "ITEM_LOGIN_REQUIRED",
"apiErrorDisplayMessage": "<string>",
"apiErrorMessage": "the login details of this item have changed (credentials, MFA, or required user action) and a user login is required to update this information. use Link's update mode to restore the item to a good state",
"additionalConsentRequired": true,
"lastInstitutionTranDate": "2023-11-07T05:31:56Z"
}
],
"lastUpdatedDate": "2023-11-07T05:31:56Z",
"cursor": "<string>",
"deletedIds": [
123
]
}Banks
Get Plaid items
deprecated
Get Plaid items for the authenticated user
GET
/
v5
/
banks
/
plaidItems
Get Plaid items
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Cursor from the previous paginated response
Page size, i.e. number of items to return per page
Response
200 - application/json
successful operation
The list of entities
Show child attributes
Show child attributes
Date filter - to be used in your subsequent request
Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.
Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate
⌘I